glib-0.13.11.0: Binding to the GLIB library for Gtk2Hs.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.Glib.GDateTime

Description

# Documentation

type GTimeValPart = CLong Source #

data GTimeVal Source #

Constructors

GTimeVal |

Fields

- gTimeValSec :: GTimeValPart
- gTimeValUSec :: GTimeValPart

#### Instances

Instances details

Storable GTimeVal Source # |

Instance details

Defined in System.Glib.GDateTime

Methods

sizeOf :: GTimeVal -> Int Source #

alignment :: GTimeVal -> Int Source #

peekElemOff :: Ptr GTimeVal -> Int -> IO GTimeVal Source #

pokeElemOff :: Ptr GTimeVal -> Int -> GTimeVal -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO GTimeVal Source #

pokeByteOff :: Ptr b -> Int -> GTimeVal -> IO () Source #

peek :: Ptr GTimeVal -> IO GTimeVal Source #

poke :: Ptr GTimeVal -> GTimeVal -> IO () Source #

Eq GTimeVal Source # |
Instance details Defined in System.Glib.GDateTime Methods (==) :: GTimeVal -> GTimeVal -> Bool Source # (/=) :: GTimeVal -> GTimeVal -> Bool Source #
Ord GTimeVal Source # |
Instance details Defined in System.Glib.GDateTime Methods compare :: GTimeVal -> GTimeVal -> Ordering Source # (<) :: GTimeVal -> GTimeVal -> Bool Source # (<=) :: GTimeVal -> GTimeVal -> Bool Source # (>) :: GTimeVal -> GTimeVal -> Bool Source # (>=) :: GTimeVal -> GTimeVal -> Bool Source # max :: GTimeVal -> GTimeVal -> GTimeVal Source # min :: GTimeVal -> GTimeVal -> GTimeVal Source #

gGetCurrentTime :: IO GTimeVal Source #

gUSleep :: GTimeValPart -> IO () Source #

gTimeValAdd :: GTimeVal -> GTimeValPart -> GTimeVal Source #

gTimeValFromISO8601 :: GlibString string => string -> Maybe GTimeVal Source #

gTimeValToISO8601 :: GlibString string => GTimeVal -> string Source #

newtype GDate Source #

Constructors

GDate |

Fields

- gDateJulianDay :: GDateJulianDay

#### Instances

Instances details

Storable GDate Source # |

Instance details

Defined in System.Glib.GDateTime

Methods

sizeOf :: GDate -> Int Source #

alignment :: GDate -> Int Source #

peekElemOff :: Ptr GDate -> Int -> IO GDate Source #

pokeElemOff :: Ptr GDate -> Int -> GDate -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO GDate Source #

pokeByteOff :: Ptr b -> Int -> GDate -> IO () Source #

peek :: Ptr GDate -> IO GDate Source #

poke :: Ptr GDate -> GDate -> IO () Source #

Eq GDate Source # |
Instance details Defined in System.Glib.GDateTime Methods (==) :: GDate -> GDate -> Bool Source # (/=) :: GDate -> GDate -> Bool Source #
Ord GDate Source # |
Instance details Defined in System.Glib.GDateTime Methods compare :: GDate -> GDate -> Ordering Source # (<) :: GDate -> GDate -> Bool Source # (<=) :: GDate -> GDate -> Bool Source # (>) :: GDate -> GDate -> Bool Source # (>=) :: GDate -> GDate -> Bool Source # max :: GDate -> GDate -> GDate Source # min :: GDate -> GDate -> GDate Source #

data GDateDay Source #

#### Instances

Instances details

Bounded GDateDay Source # |
Instance details Defined in System.Glib.GDateTime Methods minBound :: GDateDay Source # maxBound :: GDateDay Source #
Eq GDateDay Source # |
Instance details Defined in System.Glib.GDateTime Methods (==) :: GDateDay -> GDateDay -> Bool Source # (/=) :: GDateDay -> GDateDay -> Bool Source #
Ord GDateDay Source # |
Instance details Defined in System.Glib.GDateTime Methods compare :: GDateDay -> GDateDay -> Ordering Source # (<) :: GDateDay -> GDateDay -> Bool Source # (<=) :: GDateDay -> GDateDay -> Bool Source # (>) :: GDateDay -> GDateDay -> Bool Source # (>=) :: GDateDay -> GDateDay -> Bool Source # max :: GDateDay -> GDateDay -> GDateDay Source # min :: GDateDay -> GDateDay -> GDateDay Source #

data GDateMonth Source #

#### Instances

Instances details

Bounded GDateMonth Source # |
Instance details Defined in System.Glib.GDateTime Methods minBound :: GDateMonth Source # maxBound :: GDateMonth Source #
Enum GDateMonth Source # |

Instance details

Defined in System.Glib.GDateTime

Methods

succ :: GDateMonth -> GDateMonth Source #

pred :: GDateMonth -> GDateMonth Source #

toEnum :: Int -> GDateMonth Source #

fromEnum :: GDateMonth -> Int Source #

enumFrom :: GDateMonth -> [GDateMonth] Source #

enumFromThen :: GDateMonth -> GDateMonth -> [GDateMonth] Source #

enumFromTo :: GDateMonth -> GDateMonth -> [GDateMonth] Source #

enumFromThenTo :: GDateMonth -> GDateMonth -> GDateMonth -> [GDateMonth] Source #

Eq GDateMonth Source # |
Instance details Defined in System.Glib.GDateTime Methods (==) :: GDateMonth -> GDateMonth -> Bool Source # (/=) :: GDateMonth -> GDateMonth -> Bool Source #
Ord GDateMonth Source # |

Instance details

Defined in System.Glib.GDateTime

Methods

compare :: GDateMonth -> GDateMonth -> Ordering Source #

(<) :: GDateMonth -> GDateMonth -> Bool Source #

(<=) :: GDateMonth -> GDateMonth -> Bool Source #

(>) :: GDateMonth -> GDateMonth -> Bool Source #

(>=) :: GDateMonth -> GDateMonth -> Bool Source #

max :: GDateMonth -> GDateMonth -> GDateMonth Source #

min :: GDateMonth -> GDateMonth -> GDateMonth Source #

data GDateYear Source #

#### Instances

Instances details

Bounded GDateYear Source # |
Instance details Defined in System.Glib.GDateTime Methods minBound :: GDateYear Source # maxBound :: GDateYear Source #
Eq GDateYear Source # |
Instance details Defined in System.Glib.GDateTime Methods (==) :: GDateYear -> GDateYear -> Bool Source # (/=) :: GDateYear -> GDateYear -> Bool Source #
Ord GDateYear Source # |

Instance details

Defined in System.Glib.GDateTime

Methods

compare :: GDateYear -> GDateYear -> Ordering Source #

(<) :: GDateYear -> GDateYear -> Bool Source #

(<=) :: GDateYear -> GDateYear -> Bool Source #

(>) :: GDateYear -> GDateYear -> Bool Source #

(>=) :: GDateYear -> GDateYear -> Bool Source #

max :: GDateYear -> GDateYear -> GDateYear Source #

min :: GDateYear -> GDateYear -> GDateYear Source #

type GDateJulianDay = CUInt Source #

data GDateWeekday Source #

#### Instances

Instances details

Bounded GDateWeekday Source # |
Instance details Defined in System.Glib.GDateTime Methods minBound :: GDateWeekday Source # maxBound :: GDateWeekday Source #
Enum GDateWeekday Source # |

Instance details

Defined in System.Glib.GDateTime

Methods

succ :: GDateWeekday -> GDateWeekday Source #

pred :: GDateWeekday -> GDateWeekday Source #

toEnum :: Int -> GDateWeekday Source #

fromEnum :: GDateWeekday -> Int Source #

enumFrom :: GDateWeekday -> [GDateWeekday] Source #

enumFromThen :: GDateWeekday -> GDateWeekday -> [GDateWeekday] Source #

enumFromTo :: GDateWeekday -> GDateWeekday -> [GDateWeekday] Source #

enumFromThenTo :: GDateWeekday -> GDateWeekday -> GDateWeekday -> [GDateWeekday] Source #

Eq GDateWeekday Source # |
Instance details Defined in System.Glib.GDateTime Methods (==) :: GDateWeekday -> GDateWeekday -> Bool Source # (/=) :: GDateWeekday -> GDateWeekday -> Bool Source #
Ord GDateWeekday Source # |

Instance details

Defined in System.Glib.GDateTime

Methods

compare :: GDateWeekday -> GDateWeekday -> Ordering Source #

(<) :: GDateWeekday -> GDateWeekday -> Bool Source #

(<=) :: GDateWeekday -> GDateWeekday -> Bool Source #

(>) :: GDateWeekday -> GDateWeekday -> Bool Source #

(>=) :: GDateWeekday -> GDateWeekday -> Bool Source #

max :: GDateWeekday -> GDateWeekday -> GDateWeekday Source #

min :: GDateWeekday -> GDateWeekday -> GDateWeekday Source #

gDateValidJulian :: GDateJulianDay -> Bool Source #

gDateValidDMY :: GDateDay -> GDateMonth -> GDateYear -> Bool Source #

gDateNewJulian :: GDateJulianDay -> Maybe GDate Source #

gDateNewDMY :: GDateDay -> GDateMonth -> GDateYear -> Maybe GDate Source #

gDateSetDay :: GDate -> GDateDay -> Maybe GDate Source #

gDateSetMonth :: GDate -> GDateMonth -> Maybe GDate Source #

gDateSetYear :: GDate -> GDateYear -> Maybe GDate Source #

gDateNewTimeVal :: GTimeVal -> GDate Source #

gDateParse :: GlibString string => string -> IO (Maybe GDate) Source #

gDateAddDays :: GDate -> Word -> GDate Source #

gDateSubtractDays :: GDate -> Word -> GDate Source #

gDateAddMonths :: GDate -> Word -> GDate Source #

gDateSubtractMonths :: GDate -> Word -> GDate Source #

gDateAddYears :: GDate -> Word -> GDate Source #

gDateSubtractYears :: GDate -> Word -> GDate Source #

gDateDaysBetween :: GDate -> GDate -> Int Source #

gDateCompare :: GDate -> GDate -> Ordering Source #

gDateClamp :: GDate -> GDate -> GDate -> GDate Source #

gDateDay :: GDate -> GDateDay Source #

gDateMonth :: GDate -> GDateMonth Source #

gDateYear :: GDate -> GDateYear Source #

gDateWeekday :: GDate -> GDateWeekday Source #